curl --request POST \
--url https://api.devin.ai/v3/organizations/{org_id}/sessions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"prompt": "<string>",
"attachment_urls": [
"<string>"
],
"bypass_approval": true,
"child_playbook_id": "<string>",
"create_as_user_id": "<string>",
"knowledge_ids": [
"<string>"
],
"max_acu_limit": 123,
"platform": "<string>",
"playbook_id": "<string>",
"repos": [
"<string>"
],
"resumable": true,
"secret_ids": [
"<string>"
],
"security_profile": {
"profile_id": "<string>"
},
"session_links": [
"<string>"
],
"session_secrets": [
{
"key": "<string>",
"value": "<string>",
"sensitive": true
}
],
"structured_output_required": true,
"structured_output_schema": {},
"tags": [
"<string>"
],
"title": "<string>"
}
'import requests
url = "https://api.devin.ai/v3/organizations/{org_id}/sessions"
payload = {
"prompt": "<string>",
"attachment_urls": ["<string>"],
"bypass_approval": True,
"child_playbook_id": "<string>",
"create_as_user_id": "<string>",
"knowledge_ids": ["<string>"],
"max_acu_limit": 123,
"platform": "<string>",
"playbook_id": "<string>",
"repos": ["<string>"],
"resumable": True,
"secret_ids": ["<string>"],
"security_profile": { "profile_id": "<string>" },
"session_links": ["<string>"],
"session_secrets": [
{
"key": "<string>",
"value": "<string>",
"sensitive": True
}
],
"structured_output_required": True,
"structured_output_schema": {},
"tags": ["<string>"],
"title": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
prompt: '<string>',
attachment_urls: ['<string>'],
bypass_approval: true,
child_playbook_id: '<string>',
create_as_user_id: '<string>',
knowledge_ids: ['<string>'],
max_acu_limit: 123,
platform: '<string>',
playbook_id: '<string>',
repos: ['<string>'],
resumable: true,
secret_ids: ['<string>'],
security_profile: {profile_id: '<string>'},
session_links: ['<string>'],
session_secrets: [{key: '<string>', value: '<string>', sensitive: true}],
structured_output_required: true,
structured_output_schema: {},
tags: ['<string>'],
title: '<string>'
})
};
fetch('https://api.devin.ai/v3/organizations/{org_id}/sessions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"acus_consumed": 123,
"created_at": 123,
"org_id": "<string>",
"pull_requests": [
{
"pr_state": "<string>",
"pr_url": "<string>"
}
],
"session_id": "<string>",
"status": "new",
"tags": [
"<string>"
],
"updated_at": 123,
"url": "<string>",
"automation_id": "<string>",
"category": "bug_fixing",
"child_session_ids": [
"<string>"
],
"devin_mode": "normal",
"is_archived": false,
"origin": "webapp",
"parent_session_id": "<string>",
"playbook_id": "<string>",
"security_profile": {
"selection": "inherit",
"profile_id": "<string>"
},
"service_user_id": "<string>",
"status_detail": "working",
"structured_output": {},
"subcategory": "<string>",
"title": "<string>",
"user_id": "<string>"
}{
"status": 123,
"title": "<string>",
"detail": "<string>",
"error_code": "<string>",
"errors": [
{}
],
"instance": "<string>",
"type": "about:blank"
}{
"status": 123,
"title": "<string>",
"detail": "<string>",
"error_code": "<string>",
"errors": [
{}
],
"instance": "<string>",
"type": "about:blank"
}{
"status": 123,
"title": "<string>",
"detail": "<string>",
"error_code": "<string>",
"errors": [
{}
],
"instance": "<string>",
"type": "about:blank"
}{
"status": 123,
"title": "<string>",
"detail": "<string>",
"error_code": "<string>",
"errors": [
{}
],
"instance": "<string>",
"type": "about:blank"
}{
"status": 123,
"title": "<string>",
"detail": "<string>",
"error_code": "<string>",
"errors": [
{}
],
"instance": "<string>",
"type": "about:blank"
}{
"status": 123,
"title": "<string>",
"detail": "<string>",
"error_code": "<string>",
"errors": [
{}
],
"instance": "<string>",
"type": "about:blank"
}Session erstellen
Neue Sitzung erstellen
Berechtigungen
Erfordert einen Servicebenutzer oder ein persönliches Zugriffstoken mit der BerechtigungUseDevinSessions (org.devins.use) auf Organisationsebene.
Zusätzliche Berechtigungen für erweiterte Funktionen
| Funktion | Erforderliche Berechtigung |
|---|---|
create_as_user_id | ImpersonateOrgSessions |
Devin-Modus
Der Parameterdevin_mode legt fest, welcher Devin-Agent-Modus für die Sitzung verwendet wird:
| Modus | Beschreibung |
|---|---|
normal | Der Standard-Agent-Modus. Schnell und gut für langfristige Planung. |
fast | ~2x schneller, 4x teurer, gleiche Intelligenz. |
lite | Devin Lite — ein leichterer, kostengünstigerer Modus für Sitzungen mit geringerem Geltungsbereich. |
ultra | Devin Ultra — der leistungsfähigste Modus. |
fusion | Fusion — Routing über mehrere Modelle. |
Nutzer-Impersonation
Der Parametercreate_as_user_id ermöglicht das Erstellen einer Sitzung im Namen eines anderen Nutzers. Dafür ist Folgendes erforderlich:
- Der Servicebenutzer muss die Berechtigung
ImpersonateOrgSessionshaben - Der Zielnutzer muss Mitglied der Organisation sein
- Der Zielnutzer muss die Berechtigung
UseDevinSessionshaben
Autorisierungen
Servicebenutzer-Anmeldedaten (Präfix: cog_)
Pfadparameter
Organisations-ID (Präfix: org-)
"org-abc123def456"
Abfrageparameter
Body
1 - 2083Überschreibt den Devin Agent-Modus für die Sitzung. 'normal' verwendet den Standard-Agent-Modus, 'fast' verwendet den Fast-Modus, 'lite' verwendet Devin Lite, 'ultra' verwendet Devin Ultra und 'fusion' verwendet Fusion. Die anderen Werte wählen den gleichnamigen Agent-Modus in der Web-App aus. Für Preview-Modi gelten dieselben Feature-Flag- und Enterprise-Agent-Preview-Einschränkungen wie für die Web-App.
normal, fast, fusion, lite, ultra, swe-2-medium, swe-2-high, swe-2-max Überschreibt die VM-Plattform für die Sitzung (z. B. 'windows') oder den Namen eines Outpost-Pools (BYOB), um die Sitzung auf einer Ihrer eigenen Maschinen auszuführen. Wenn dieser Wert weggelassen wird (oder auf 'inherit' gesetzt ist), übernimmt eine von einem übergeordneten Devin erstellte Sitzung dessen Platzierung – also sowohl die Plattform als auch den Outpost-Pool; ein in einem Outpost platzierter übergeordneter Devin startet untergeordnete Sitzungen also im selben Pool; andernfalls wird der Organisationsstandard verwendet. Jeder Wert muss entweder einer für Ihre Organisation konfigurierten Plattform oder einem Outpost-Pool-Namen entsprechen (Groß-/Kleinschreibung wird nicht beachtet) – integrierte Plattformen haben Vorrang, wenn ein Name auf beides zutrifft, und ein persönlicher Outpost-Pool im Besitz des Aufrufers hat Vorrang vor einem kontoweiten Pool mit demselben Namen. Nicht erkannte Werte werden mit einem 400-Fehler abgelehnt, dessen Fehlerantwort die verfügbaren Plattformbezeichnungen und Outpost-Pool-Namen für die Organisation auflistet.
Ob der VM-Status der Sitzung nach dem Beenden beibehalten werden soll, damit die Sitzung fortgesetzt werden kann. Für temporäre Sitzungen auf false setzen.
Weisen Sie dieser Sitzung ein Security Profile zu; wird dieser Wert weggelassen, greift die Standardlogik (das zugewiesene Security Profile des Playbooks, andernfalls der Organisations-/Enterprise-Standard). Erfordert die Berechtigung zur Verwaltung von Security Profiles.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Wenn „true“ (Standard), MUSS der Agent provide_structured_output mit is_final=true aufrufen, bevor sein Turn endet. Wenn „false“, ist das Tool verfügbar, aber nicht erforderlich — es ist nicht garantiert, dass es in einem bestimmten Turn aufgerufen wird.
JSON-Schema (Draft 7) zur Validierung strukturierter Ausgaben. Max. 64 KB. Muss in sich abgeschlossen sein (keine externen $ref-Verweise).
Antwort
Erfolgreiche Antwort
Show child attributes
Show child attributes
new, claimed, running, exit, error, suspended, resuming ID der Automatisierung, die diese Sitzung erstellt hat, falls vorhanden.
Die der Sitzung zugewiesene Anwendungsfallkategorie, falls die Kategorisierung ausgeführt wurde. Nur bei GET-/List-Endpunkten befüllt.
bug_fixing, ci_cd_and_devops, code_quality_and_security, code_review, code_review_and_analysis, data_and_automation, documentation_and_content, feature_development, migrations_and_upgrades, other, production_investigation, refactoring_and_optimization, research_and_exploration, security, unit_test_generation Der Devin-Agent-Modus, mit dem die Sitzung erstellt wurde, nach Auflösung der Organisations-/Nutzer-Standardwerte und der Vererbung von der übergeordneten Sitzung. None, wenn die Sitzung eine Agent-Vorschau ausführt, die kein entsprechendes Modusäquivalent hat.
normal, fast, fusion, lite, ultra, swe-2-medium, swe-2-high, swe-2-max Die Quelle, aus der die Sitzung erstellt wurde.
webapp, slack, teams, api, linear, jira, automation, cli, desktop, code_scan, other Die eigene Sicherheitsprofilbindung der Sitzung. Nur bei GET-/List-Endpunkten befüllt.
Show child attributes
Show child attributes
Zusätzliche Details zum aktuellen Status der Sitzung. Wenn der Status „running“ ist: „working“ (arbeitet aktiv), „waiting_for_user“ (benötigt Eingaben des Nutzers), „waiting_for_approval“ (wartet im abgesicherten Modus auf die Genehmigung einer Aktion) oder „finished“ (Aufgabe abgeschlossen). Wenn der Status „suspended“ ist: der Grund für die Unterbrechung, z. B. „inactivity“, „user_request“, „usage_limit_exceeded“, „out_of_credits“, „out_of_quota“, „no_quota_allocation“, „payment_declined“, „org_usage_limit_exceeded“, „user_usage_limit_exceeded“, „total_session_limit_exceeded“, „contract_expired“ oder „error“. Nur bei GET-/List-Endpunkten befüllt.
working, waiting_for_user, waiting_for_approval, finished, inactivity, user_request, usage_limit_exceeded, out_of_credits, out_of_quota, no_quota_allocation, payment_declined, org_usage_limit_exceeded, user_usage_limit_exceeded, total_session_limit_exceeded, contract_expired, error Validierte strukturierte Ausgabe aus der Session. Wird nur bei GET-/LIST-Endpunkten befüllt.
Der Anzeigename der der Sitzung zugewiesenen Unterkategorie. „Other“, wenn eine Kategorie festgelegt ist, aber keine Unterkategorie zugewiesen oder bezogen werden konnte. Nur bei GET-/List-Endpunkten befüllt.

